searchData={"items":[{"type":"module","title":"GoogleApi.DataLineage.V1","doc":"API client metadata for GoogleApi.DataLineage.V1.","ref":"GoogleApi.DataLineage.V1.html"},{"type":"function","title":"GoogleApi.DataLineage.V1.discovery_revision/0","doc":"","ref":"GoogleApi.DataLineage.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_batch_search_link_processes/4","doc":"Retrieve information about LineageProcesses associated with specific links. LineageProcesses are transformation pipelines that result in data flowing from **source** to **target** assets. Links between assets represent this operation. If you have specific link names, you can use this method to verify which LineageProcesses contribute to creating those links. See the SearchLinks method for more information on how to retrieve link name. You can retrieve the LineageProcess information in every project where you have the `datalineage.events.get` permission. The project provided in the URL is used for Billing and Quota.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_batch_search_link_processes/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_batch_search_link_processes/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location where you want to search.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_batch_search_link_processes/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_batch_search_link_processes/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_batch_search_link_processes/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_delete/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_operations_list/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_process_open_lineage_run_event/4","doc":"Creates new lineage events together with their parents: process and run. Updates the process and run if they already exist. Mapped from Open Lineage specification: https://github.com/OpenLineage/OpenLineage/blob/main/spec/OpenLineage.json.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_process_open_lineage_run_event/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_process_open_lineage_run_event/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the project and its location that should own the process, run, and lineage event.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is idempotent only if a `request_id` is provided.\n    *   `:body` (*type:* `String.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_process_open_lineage_run_event/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_process_open_lineage_run_event/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_process_open_lineage_run_event/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_create/4","doc":"Creates a new process.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_create/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_create/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the project and its location that should own the process.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is idempotent only if a `request_id` is provided.\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_create/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_create/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_delete/4","doc":"Deletes the process with the specified name.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the process to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true and the process is not found, the request succeeds but the server doesn't perform any actions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_delete/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_delete/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_get/4","doc":"Gets the details of the specified process.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_get/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_get/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the process to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_get/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_get/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_list/4","doc":"List processes in the given project and location. List order is descending by insertion time.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_list/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_list/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the project and its location that owns this collection of processes.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of processes to return. The service may return fewer than this value. If unspecified, at most 50 processes are returned. The maximum value is 100; values greater than 100 are cut to 100.\n    *   `:pageToken` (*type:* `String.t`) - The page token received from a previous `ListProcesses` call. Specify it to get the next page. When paginating, all other parameters specified in this call must match the parameters of the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_list/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_list/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_patch/4","doc":"Updates a process.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the lineage process. Format: `projects/{project}/locations/{location}/processes/{process}`. Can be specified or auto-assigned. {process} must be not longer than 200 characters and only contain characters in a set: `a-zA-Z0-9_-:.`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true and the process is not found, the request inserts it.\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to update. Currently not used. The whole message is updated.\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_patch/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_patch/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_create/4","doc":"Creates a new run.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_create/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_create/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the process that should own the run.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is idempotent only if a `request_id` is provided.\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_create/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_create/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_delete/4","doc":"Deletes the run with the specified name.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the run to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true and the run is not found, the request succeeds but the server doesn't perform any actions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_delete/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_delete/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_get/4","doc":"Gets the details of the specified run.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_get/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_get/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the run to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_get/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_get/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_create/4","doc":"Creates a new lineage event.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_create/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_create/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the run that should own the lineage event.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is idempotent only if a `request_id` is provided.\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_create/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_create/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_delete/4","doc":"Deletes the lineage event with the specified name.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_delete/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_delete/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the lineage event to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true and the lineage event is not found, the request succeeds but the server doesn't perform any actions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_delete/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_delete/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_get/4","doc":"Gets details of a specified lineage event.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_get/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_get/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the lineage event to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_get/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_get/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_list/4","doc":"Lists lineage events in the given project and location. The list order is not defined.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_list/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_list/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the run that owns the collection of lineage events to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of lineage events to return. The service may return fewer events than this value. If unspecified, at most 50 events are returned. The maximum value is 100; values greater than 100 are cut to 100.\n    *   `:pageToken` (*type:* `String.t`) - The page token received from a previous `ListLineageEvents` call. Specify it to get the next page. When paginating, all other parameters specified in this call must match the parameters of the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_lineage_events_list/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_lineage_events_list/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_list/4","doc":"Lists runs in the given project and location. List order is descending by `start_time`.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_list/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_list/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of process that owns this collection of runs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of runs to return. The service may return fewer than this value. If unspecified, at most 50 runs are returned. The maximum value is 100; values greater than 100 are cut to 100.\n    *   `:pageToken` (*type:* `String.t`) - The page token received from a previous `ListRuns` call. Specify it to get the next page. When paginating, all other parameters specified in this call must match the parameters of the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_list/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_list/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_patch/4","doc":"Updates a run.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the run. Format: `projects/{project}/locations/{location}/processes/{process}/runs/{run}`. Can be specified or auto-assigned. {run} must be not longer than 200 characters and only contain characters in a set: `a-zA-Z0-9_-:.`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true and the run is not found, the request creates it.\n    *   `:updateMask` (*type:* `String.t`) - The list of fields to update. Currently not used. The whole message is updated.\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_processes_runs_patch/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_processes_runs_patch/4-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_search_links/4","doc":"Retrieve a list of links connected to a specific asset. Links represent the data flow between **source** (upstream) and **target** (downstream) assets in transformation pipelines. Links are stored in the same project as the Lineage Events that create them. You can retrieve links in every project where you have the `datalineage.events.get` permission. The project provided in the URL is used for Billing and Quota.","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_search_links/4"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_search_links/4","doc":"*   `connection` (*type:* `GoogleApi.DataLineage.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location you want search in.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_search_links/4-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Api.Projects.datalineage_projects_locations_search_links/4","doc":"*   `{:ok, %GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.DataLineage.V1.Api.Projects.html#datalineage_projects_locations_search_links/4-returns"},{"type":"module","title":"GoogleApi.DataLineage.V1.Connection","doc":"Handle Tesla connections for GoogleApi.DataLineage.V1.","ref":"GoogleApi.DataLineage.V1.Connection.html"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.DataLineage.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.DataLineage.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.DataLineage.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataLineage.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.DataLineage.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.DataLineage.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.DataLineage.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.DataLineage.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.DataLineage.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.DataLineage.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.DataLineage.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.DataLineage.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.DataLineage.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.DataLineage.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.DataLineage.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.DataLineage.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.DataLineage.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.DataLineage.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.DataLineage.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.DataLineage.V1.Connection.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest","doc":"Request message for BatchSearchLinkProcesses.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest","doc":"*   `links` (*type:* `list(String.t)`, *default:* `nil`) - Required. An array of links to check for their associated LineageProcesses. The maximum number of items in this array is 100. If the request contains more than 100 links, it returns the `INVALID_ARGUMENT` error. Format: `projects/{project}/locations/{location}/links/{link}`.\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - The maximum number of processes to return in a single page of the response. A page may contain fewer results than this value.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - The page token received from a previous `BatchSearchLinkProcesses` call. Use it to get the next page. When requesting subsequent pages of a response, remember that all parameters must match the values you provided in the original request.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse","doc":"Response message for BatchSearchLinkProcesses.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to specify as `page_token` in the subsequent call to get the next page. Omitted if there are no more pages in the response.\n*   `processLinks` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.t)`, *default:* `nil`) - An array of processes associated with the specified links.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1BatchSearchLinkProcessesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference","doc":"The soft reference to everything you can attach a lineage event to.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference","doc":"*   `fullyQualifiedName` (*type:* `String.t`, *default:* `nil`) - Required. [Fully Qualified Name (FQN)](https://cloud.google.com/data-catalog/docs/fully-qualified-names) of the entity.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink","doc":"A lineage between source and target entities.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink","doc":"*   `source` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - Required. Reference to the source entity\n*   `target` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - Required. Reference to the target entity","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent","doc":"A lineage event represents an operation on assets. Within the operation, the data flows from the source to the target defined in the links field.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The end of the transformation which resulted in this lineage event. For streaming scenarios, it should be the end of the period from which the lineage is being reported.\n*   `links` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EventLink.t)`, *default:* `nil`) - Optional. List of source-target pairs. Can't contain more than 100 tuples.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the lineage event. Format: `projects/{project}/locations/{location}/processes/{process}/runs/{run}/lineageEvents/{lineage_event}`. Can be specified or auto-assigned. {lineage_event} must be not longer than 200 characters and only contain characters in a set: `a-zA-Z0-9_-:.`\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The beginning of the transformation which resulted in this lineage event. For streaming scenarios, it should be the beginning of the period from which the lineage is being reported.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link","doc":"Links represent the data flow between **source** (upstream) and **target** (downstream) assets in transformation pipelines. Links are created when LineageEvents record data transformation between related assets.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The end of the last event establishing this link.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Immutable. The name of the link. Format: `projects/{project}/locations/{location}/links/{link}`.\n*   `source` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - The pointer to the entity that is the **source** of this link.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The start of the first event establishing this link.\n*   `target` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - The pointer to the entity that is the **target** of this link.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse","doc":"Response message for ListLineageEvents.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse","doc":"*   `lineageEvents` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1LineageEvent.t)`, *default:* `nil`) - Lineage events from the specified project and location.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to specify as `page_token` in the next call to get the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListLineageEventsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse","doc":"Response message for ListProcesses.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to specify as `page_token` in the next call to get the next page. If this field is omitted, there are no subsequent pages.\n*   `processes` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.t)`, *default:* `nil`) - The processes from the specified project and location.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListProcessesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse","doc":"Response message for ListRuns.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to specify as `page_token` in the next call to get the next page. If this field is omitted, there are no subsequent pages.\n*   `runs` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.t)`, *default:* `nil`) - The runs from the specified project and location.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ListRunsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata","doc":"Metadata describing the operation.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp of the operation submission to the server.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp of the operation termination, regardless of its success. This field is unset if the operation is still ongoing.\n*   `operationType` (*type:* `String.t`, *default:* `nil`) - Output only. The type of the operation being performed.\n*   `resource` (*type:* `String.t`, *default:* `nil`) - Output only. The [relative name] (https://cloud.google.com//apis/design/resource_names#relative_resource_name) of the resource being operated on.\n*   `resourceUuid` (*type:* `String.t`, *default:* `nil`) - Output only. The UUID of the resource being operated on.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current operation state.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin","doc":"Origin of a process.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - If the source_type isn't CUSTOM, the value of this field should be a GCP resource name of the system, which reports lineage. The project and location parts of the resource name must match the project and location of the lineage resource being created. Examples: - `{source_type: COMPOSER, name: \"projects/foo/locations/us/environments/bar\"}` - `{source_type: BIGQUERY, name: \"projects/foo/locations/eu\"}` - `{source_type: CUSTOM, name: \"myCustomIntegration\"}`\n*   `sourceType` (*type:* `String.t`, *default:* `nil`) - Type of the source. Use of a source_type other than `CUSTOM` for process creation or updating is highly discouraged, and may be restricted in the future without notice.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process","doc":"A process is the definition of a data transformation operation.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process","doc":"*   `attributes` (*type:* `map()`, *default:* `nil`) - Optional. The attributes of the process. Should only be used for the purpose of non-semantic management (classifying, describing or labeling the process). Up to 100 attributes are allowed.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Optional. A human-readable name you can set to display in a user interface. Must be not longer than 200 characters and only contain UTF-8 letters or numbers, spaces or characters like `_-:&.`\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the lineage process. Format: `projects/{project}/locations/{location}/processes/{process}`. Can be specified or auto-assigned. {process} must be not longer than 200 characters and only contain characters in a set: `a-zA-Z0-9_-:.`\n*   `origin` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Origin.t`, *default:* `nil`) - Optional. The origin of this process and its runs and lineage events.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Process.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo","doc":"Link details.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The end of the last event establishing this link-process tuple.\n*   `link` (*type:* `String.t`, *default:* `nil`) - The name of the link in the format of `projects/{project}/locations/{location}/links/{link}`.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The start of the first event establishing this link-process tuple.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks","doc":"Links associated with a specific process.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks","doc":"*   `links` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinkInfo.t)`, *default:* `nil`) - An array containing link details objects of the links provided in the original request. A single process can result in creating multiple links. If any of the links you provide in the request are created by the same process, they all are included in this array.\n*   `process` (*type:* `String.t`, *default:* `nil`) - The process name in the format of `projects/{project}/locations/{location}/processes/{process}`.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessLinks.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse","doc":"Response message for ProcessOpenLineageRunEvent.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse","doc":"*   `lineageEvents` (*type:* `list(String.t)`, *default:* `nil`) - Created lineage event names. Format: `projects/{project}/locations/{location}/processes/{process}/runs/{run}/lineageEvents/{lineage_event}`.\n*   `process` (*type:* `String.t`, *default:* `nil`) - Created process name. Format: `projects/{project}/locations/{location}/processes/{process}`.\n*   `run` (*type:* `String.t`, *default:* `nil`) - Created run name. Format: `projects/{project}/locations/{location}/processes/{process}/runs/{run}`.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1ProcessOpenLineageRunEventResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run","doc":"A lineage run represents an execution of a process that creates lineage events.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run","doc":"*   `attributes` (*type:* `map()`, *default:* `nil`) - Optional. The attributes of the run. Should only be used for the purpose of non-semantic management (classifying, describing or labeling the run). Up to 100 attributes are allowed.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Optional. A human-readable name you can set to display in a user interface. Must be not longer than 1024 characters and only contain UTF-8 letters or numbers, spaces or characters like `_-:&.`\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The timestamp of the end of the run.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the run. Format: `projects/{project}/locations/{location}/processes/{process}/runs/{run}`. Can be specified or auto-assigned. {run} must be not longer than 200 characters and only contain characters in a set: `a-zA-Z0-9_-:.`\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The timestamp of the start of the run.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Required. The state of the run.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Run.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest","doc":"Request message for SearchLinks.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest","doc":"*   `pageSize` (*type:* `integer()`, *default:* `nil`) - Optional. The maximum number of links to return in a single page of the response. A page may contain fewer links than this value. If unspecified, at most 10 links are returned. Maximum value is 100; values greater than 100 are reduced to 100.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - Optional. The page token received from a previous `SearchLinksRequest` call. Use it to get the next page. When requesting subsequent pages of a response, remember that all parameters must match the values you provided in the original request.\n*   `source` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - Optional. Send asset information in the **source** field to retrieve all links that lead from the specified asset to downstream assets.\n*   `target` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1EntityReference.t`, *default:* `nil`) - Optional. Send asset information in the **target** field to retrieve all links that lead from upstream assets to the specified asset.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse","doc":"Response message for SearchLinks.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse","doc":"*   `links` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1Link.t)`, *default:* `nil`) - The list of links for a given asset. Can be empty if the asset has no relations of requested type (source or target).\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to specify as `page_token` in the subsequent call to get the next page. Omitted if there are no more pages in the response.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleCloudDatacatalogLineageV1SearchLinksResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningCancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleLongrunningOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.DataLineage.V1.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.DataLineage.V1.Model.GoogleRpcStatus.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}